kr.co.hanwha.hifive.screen.search

## Interface SearchContract.Presenter

All Superinterfaces:
  BasePresenter

All Known Implementing Classes:
  SearchPresenter

Enclosing interface:
  SearchContract

    public static interface SearchContract.Presenter
    extends BasePresenter

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `doSearch(java.lang.String text)`
`void` `initRecentKeyword()` 최근 검색어 조회

### Methods inherited from interface kr.co.hanwha.hifive.base.BasePresenter

`detachView, getContext`

### Method Detail

#### initRecentKeyword

    void initRecentKeyword()

최근 검색어 조회

#### doSearch

    void doSearch(@NonNull
                  java.lang.String text)